%define major	4
%define libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define zeromq1 %mklibname zeromq 1
%define rev	0
%define rel	2
Summary:	Software library for fast, message-based applications
Name:		zeromq
Version:	4.0.7
%if %{rev}
%define	release	%mkrel -c %{rev}git %{rel}
Source0:	%{name}-%{version}.%{rev}.tar.gz
%else
%define	release	%mkrel %{rel}
Source0:	http://download.zeromq.org/%{name}-%{version}.tar.gz
%endif
Release:	%{release}
# https://github.com/zeromq/cppzmq/archive/master.zip
Source1:	cppzmq-master1f05e0d.zip
License:	LGPLv3+
Group:		Development/Other
Url:		http://www.zeromq.org
BuildRequires:	glib2-devel
BuildRequires:	libuuid-devel
BuildRequires:	python
BuildRequires:	libtool
BuildRequires:	asciidoc
BuildRequires:	xmlto

%description
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

%package -n	%{libname}
Summary:	Software library for fast, message-based applications
Group:		System/Libraries
Obsoletes:	%{zeromq1} >= 3.2.3

%description -n %{libname}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the %{name} shared library.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-utils = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the libraries and header files needed to develop
applications that use %{name}.

This package also installs C++ bindings for %{name}

%package utils
Summary:	Utility binaries for zeromq
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description utils
Utility binaries and docs for zeromq

%prep
%setup -a 1 -q
export NOCONFIGURE=1
./autogen.sh

%build
export CFLAGS="$CFLAGS -fno-strict-aliasing"
%configure2_5x --with-pgm --disable-static
%make

%check
make check

%install
%makeinstall_std

pushd cppzmq-master
install -D zmq.hpp %{buildroot}%{_includedir}
install -d %{buildroot}/%{_docdir}/zmqcpp
install -D LICENSE README %{buildroot}/%{_docdir}/zmqcpp
popd

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libzmq.so.%{major}
%{_libdir}/libzmq.so.%{major}.*

%files -n %{develname}
%{_libdir}/libzmq.so
%{_libdir}/pkgconfig/libzmq.pc
%{_includedir}/zmq*
%{_mandir}/man3/zmq*
%{_mandir}/man7/zmq*

%files utils
%doc AUTHORS COPYING* NEWS
%{_docdir}/zmqcpp/*
%{_bindir}/curve_keygen


%changelog
* Sat Aug 29 2015 barjac <barjac> 4.0.7-2.mga5
+ Revision: 870983
- new version fixes Mga#16411 - ipyrhon died because of buggy zeromq version

* Fri May 08 2015 barjac <barjac> 4.0.6-0.1.mga5
+ Revision: 821476
- update to 4.0.6 to fix security bug Mga#15878

* Thu Nov 13 2014 barjac <barjac> 4.0.5-1.mga5
+ Revision: 796882
- new version 4.0.5 to fix following CVEs
- CVE-2014-7202 and CVE-2014-7203
- Mga#14525

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.4-2.mga5
+ Revision: 690870
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 barjac <barjac> 4.0.4-1.mga5
+ Revision: 658109
- new version 4.0.4
- includes zmq.hpp in devel from separate source zip
- added -utils sub-package for new binary file
- removes old obsolete on previous -utils package
- spec now caters for git snapshots

* Sat Oct 19 2013 umeabot <umeabot> 3.2.3-3.mga4
+ Revision: 527503
- Mageia 4 Mass Rebuild

* Sat Jun 08 2013 fwang <fwang> 3.2.3-2.mga4
+ Revision: 440416
- bump req
- lock libmajor

* Sun Jun 02 2013 kharec <kharec> 3.2.3-1.mga4
+ Revision: 434854
- new version 3.2.3

* Mon Jan 14 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 387668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 lebedov <lebedov> 2.2.0-1.mga3
+ Revision: 281133
- Update to 2.2.0.

* Mon Dec 19 2011 lebedov <lebedov> 2.1.11-1.mga2
+ Revision: 184113
- Update to 2.1.11.

* Mon Oct 03 2011 lebedov <lebedov> 2.1.10-1.mga2
+ Revision: 151318
- Update to 2.1.10.

* Tue Sep 06 2011 tv <tv> 2.1.9-1.mga2
+ Revision: 139458
- new release

* Sat Apr 30 2011 pterjan <pterjan> 2.1.6-1.mga1
+ Revision: 93609
- Update to 2.1.6 which is in mdv backports

* Mon Apr 18 2011 dams <dams> 2.1.4-4.mga1
+ Revision: 87825
- Add a 'Provides: ' to remove the old zeromq-utils (lib package)

* Fri Apr 15 2011 dams <dams> 2.1.4-3.mga1
+ Revision: 85568
+ rebuild (emptylog)

* Thu Apr 14 2011 dams <dams> 2.1.4-2.mga1
+ Revision: 85012
+ rebuild (emptylog)

* Thu Apr 14 2011 dams <dams> 2.1.4-1.mga1
+ Revision: 84840
- update to 2.1.4

* Mon Jan 31 2011 dmorgan <dmorgan> 2.0.10-1.mga1
+ Revision: 45309
- imported package zeromq


* Tue Nov 02 2010 Lev Givon <lev@mandriva.org> 2.0.10-1mdv2011.0
+ Revision: 592249
- import zeromq


